Skip to Content
homemade
Dashboard

Get a project

GET
/api/projects/{projectId}

Authorization

apiKey
headerAuthorizationBearer <hmk_…>

An API key from the dashboard or homemade api-key create.

Path Parameters

projectId*string

Response Body

The project.

application/json
  1. response
project*

A project: one repository (or starter) that VMs boot from.

Example Request
curl -X GET 'https://api.homemade.dev/api/projects/string'
Example Response
{  "project": {    "createdAt": "2019-08-24T14:15:22Z",    "defaultBranch": "string",    "githubRepoFullName": "string",    "id": "string",    "name": "string",    "orgId": "string",    "rootDirectory": "string",    "slug": "string",    "status": "string",    "property1": null,    "property2": null  }}